Name:		sugar-castle
Version:	23
Release:	4%{?dist}
Summary:	A game of discovery and strategy inspired by the Adventure games of the 70s

License:	GPLv3+
URL:		http://activities.sugarlabs.org/en-US/sugar/addon/4397
Source0:	http://mirror.aarnet.edu.au/pub/sugarlabs/activities/4397/castle-%{version}.xo

BuildRequires:	python2-devel sugar-toolkit gettext 
BuildArch:	noarch
Requires:	sugar 

%description
A game of discovery and strategy inspired by the Adventure games of the 70s. 

%prep
%setup -q -n Castle.activity

chmod -x *.py
chmod -x data/*.dat
chmod -x  activity/activity.svg
chmod +x setup.py Castle.py

sed -i "s|\r||g" Castle.py
sed -i "s|\r||g" activity/activity.svg


%build
%{__python} ./setup.py build

%install
%{__python} ./setup.py install --prefix=%{buildroot}%{_prefix}

%files 
%doc MANIFEST
%{sugaractivitydir}/Castle.activity/

%changelog
* Tue Aug 06 2013 Danishka Navin <danishka@gmail.com> - 23-4
- removed "#sed -i 's/\r//' Castle.py" from the %%prep section

* Tue Aug 06 2013 Danishka Navin <danishka@gmail.com> - 23-3
- corrected spec as per suggestions of the review bug 843678

* Thu Jun 06 2013 Danishka Navin <danishka@gmail.com> - 23-2
- removed sed -i -e '1i#!%%{__python}' activity/activity.svg entry

* Sun Jul 15 2012 Danishka Navin <danishka@gmail.com> - 23-1
- initial packaging
